aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-05-13 03:17:40 +0300
committerCem Keylan <cem@ckyln.com>2020-05-13 03:17:40 +0300
commit88d7910b4e857983c939cb10237e1c4a339a936b (patch)
tree867590d153a6afa008b2180e049eb77c422f8463
parent613a67d20bb89af4ff2be3325b588954f328d0be (diff)
downloadmkrootfs-88d7910b4e857983c939cb10237e1c4a339a936b.tar.gz
remove error function, replace it with die only
-rwxr-xr-xmkrootfs.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/mkrootfs.sh b/mkrootfs.sh
index b7f1e15..787f537 100755
--- a/mkrootfs.sh
+++ b/mkrootfs.sh
@@ -7,9 +7,8 @@
# Functions
msg() { printf '\033[1;35m-> \033[m%s\n' "$@" ;}
-error() { printf '\033[1;31mERROR: \033[m%s\n' "$@" ;} >&2
-die() { error "$1"; exit 1 ;}
ask() { printf '\033[1;33m== %s ==\n(y/N) ' "$1" ; read ans; case "$ans" in [Yy]*) return 0 ;; *) return 1 ;; esac ;}
+die() { printf '\033[1;31m!> ERROR: \033[m%s\n' "$@" >&2; exit 1 ;}
# Exit if the user is not root